> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entry

> Retrieve an entry from the database based on the ID



## OpenAPI

````yaml GET /projects/{projectId}/entries/{entryId}
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/entries/{entryId}:
    get:
      tags:
        - Entries
      description: Retrieve an entry from the database based on the ID
      operationId: entries_getEntry
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
            Example3:
              value: pr_myexampleproject
        - name: entryId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EntryId'
          examples:
            Example1:
              value: entry_myexampleentry
            Example2:
              value: entry_doesnotexist
            Example3:
              value: entry_doesnotexist
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_incorrectkey
            Example3:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entry'
              examples:
                Example1:
                  value:
                    entry_id: entry_myexampleentry
                    group_id: group_myexamplegroup
                    project_id: pr_myexampleproject
                    embeddable_id: flow_myexampleflow
                    contact_id: contact_myexamplecontact
                    created_at: '2022-01-01T00:00:00Z'
                    updated_at: '2022-01-01T00:00:00Z'
                    entry_data: '{ "email": "ada@lovelace.com" }'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: unauthorized
                      message: >-
                        You are not authorized to access this project with the
                        API key provided.
                    projectId: pr_myexampleproject
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntryNotFoundErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: entry_not_found
                      message: >-
                        The entry with the specified ID does not exist or you
                        don't have permission to access it.
                    entryId: entry_doesnotexist
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    EntryId:
      title: EntryId
      type: string
      description: The unique identifier for an Entry in the database
    Entry:
      title: Entry
      type: object
      properties:
        entry_id:
          $ref: '#/components/schemas/EntryId'
        group_id:
          $ref: '#/components/schemas/GroupId'
        project_id:
          $ref: '#/components/schemas/ProjectId'
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        contact_id:
          $ref: '#/components/schemas/ContactId'
        created_at:
          $ref: '#/components/schemas/DateTime'
        updated_at:
          $ref: '#/components/schemas/DateTime'
        entry_data:
          $ref: '#/components/schemas/EntryData'
      required:
        - entry_id
        - group_id
        - project_id
        - embeddable_id
        - contact_id
        - created_at
        - updated_at
        - entry_data
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EntryNotFoundErrorBody:
      title: EntryNotFoundErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        entryId:
          $ref: '#/components/schemas/EntryId'
          nullable: true
      required:
        - error
    GroupId:
      title: GroupId
      type: string
      description: The unique identifier for a Group in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    ContactId:
      title: ContactId
      type: string
      description: The unique identifier for a Contact in the database
    DateTime:
      title: DateTime
      type: string
      description: A Date + Time string in ISO format
    EntryData:
      title: EntryData
      type: string
      description: The entry's user data, stringified
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````